Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - Tags

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Tags

Tag management for APIs and API Products.

List tags used by visible APIs

Get all tags used by visible APIs. This takes into account the visibility settings of API Products as well as the developer portal (if any) from which this request is sent.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
Array
string

Response samples

Content type
application/json
[
  • "string"
]

List tags used by visible API Products

Get all tags used by visible API Products. This takes into account the visibility settings of API Products as well as the developer portal (if any) from which this request is sent.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
Array
string

Response samples

Content type
application/json
[
  • "string"
]

List tags used by owned APIs

Get all tags used by APIs that are owned by the current user. If the current user is global admin, this is equivalent to /tags/apis. You may use the result as possible tag filters to /apis.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
Array
string

Response samples

Content type
application/json
[
  • "string"
]

List tags used by owned API Products

Get all tags used by API Products that are owned by the current user. If the current user is global admin, this is equivalent to /tags/apiProducts. You may use the result as possible tag filters to /apiProducts.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
Array
string

Response samples

Content type
application/json
[
  • "string"
]

List tags used by APIs

Get all tags used by any API.

Authorizations:
bearerAuth
query Parameters
text
string
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
content
required
Array of strings

List of String results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • "string"
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

List tags used by API Products

Get all tags used by any API Product.

Authorizations:
bearerAuth
query Parameters
text
string
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
content
required
Array of strings

List of String results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • "string"
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

List all tags

Get all tags used by any API or API Product.

Authorizations:
bearerAuth
query Parameters
text
string
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
content
required
Array of strings

List of String results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • "string"
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}